---
title: dots.v2.databases.byDatabase_cluster_uuid().pools.byPool_name().delete()
description: Delete a Connection Pool (PostgreSQL)
product: Reference
url: https://docs.digitalocean.com/reference/dots/reference/databases/databases-delete-connectionpool/
last_updated: "2026-11-18"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# dots.v2.databases.byDatabase_cluster_uuid().pools.byPool_name().delete()

Generated on 18 Nov 2026 from DoTs version [`v1.25.0`](https://github.com/digitalocean/dots/releases/tag/v1.25.0)

## Usage

```typescript
client.v2.databases.byDatabase_cluster_uuid(database_cluster_uuid).pools.byPool_name(pool_name).delete(requestConfiguration?: RequestConfiguration<object>): Promise<void>
```

## Description

To delete a specific connection pool for a PostgreSQL database cluster, send a DELETE request to [`/v2/databases/{database_cluster_uuid}/pools/{pool_name}`](https://docs.digitalocean.com/reference/api/reference/databases/index.html.md#databases_delete_connectionPool).

A status of 204 will be given. This indicates that the request was processed successfully, but that no response body is needed.

## Parameters

`database_cluster_uuid` string required

Example: `9cc10173-e9ea-4176-9dbc-a4cee4c4ff30`

A unique identifier for a database cluster.

`pool_name` string required

Example: `backend-pool`

The name used to identify the connection pool.

## Request Sample

## Show Request Sample

```typescript
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

await client.v2.databases
    .byDatabase_cluster_uuid("9cc10173-e9ea-4176-9dbc-a4cee4c4ff30").pools
    .byPool_name("backend-pool").delete();
```

## More Information

See [`/v2/databases/{database_cluster_uuid}/pools/{pool_name}`](https://docs.digitalocean.com/reference/api/reference/databases/index.html.md#databases_delete_connectionPool) in the API reference for additional detail on responses, headers, parameters, and more.